// --------------------------------------------------------------------------
// 
// MapNameinSaveData.js
//
// Copyright (c) kotonoha*
// This software is released under the MIT License.
// http://opensource.org/licenses/mit-license.php
//
// 2016/06/13 ver1.0 プラグイン公開
// 
// --------------------------------------------------------------------------
/*:
 * @plugindesc セーブデータ上に現在マップ名を載せるプラグイン
 * @author kotonoha*
 * @help セーブデータ上に現在マップの表示名を載せるプラグインです。
 * 
 */

(function() {

	DataManager.makeSavefileInfo = function() {
	    var info = {};
	    info.globalId   = this._globalId;
		info.title      = $dataSystem.gameTitle;
		info.mapname    = $gameMap.displayName();//追加
	    info.characters = $gameParty.charactersForSavefile();
	    info.faces      = $gameParty.facesForSavefile();
	    info.playtime   = $gameSystem.playtimeText();
	    info.timestamp  = Date.now();
		info.saveString = $gameVariables.value(25);//追加
		info.saveString2 = $gameVariables.value(1);//追加
	    return info;
	};

Window_SavefileList.prototype.initialize = function(x, y, width, height) {
    //Window_Selectable.prototype.initialize.call(this, 144, 48, 480, 240); 
	Window_Selectable.prototype.initialize.call(this, 144, 45, 480, 323);
	this.activate();
    this._mode = null;
};

Window_SavefileList.prototype.maxVisibleItems = function() {
    return 3;
};

Window_SavefileList.prototype.maxCols = function() {
        return 2;
    };


	Window_SavefileList.prototype.drawContents = function(info, rect, valid) {
	    var bottom = rect.y + rect.height;
	    if (rect.width >= 200) {
	        //this.drawGameMapName(info, rect.x + 1, rect.y, rect.width - 1);
			this.drawGameMapName(info, rect.x, rect.y + 30, rect.width);
		
	        if (valid) {
	            //this.drawPartyCharacters(info, rect.x + 220, bottom - 4);
	        }
	    }
		
	    var lineHeight = this.lineHeight();
	    var y2 = bottom - lineHeight;
	    if (y2 >= lineHeight) {
	        //this.drawPlaytime(info, rect.x + 190, rect.y, rect.width - 192);
			//this.drawPlaytime(info, rect.x, y2, rect.width);
			//this.drawPlaytime(info, rect.x, rect.y + 65, rect.width);
			this.drawPlaytime(info, rect.x + 80, rect.y + 7, rect.width);
	    }
	};


	Window_SavefileList.prototype.drawGameMapName = function(info, x, y, width) {
	    if (info.mapname) {
this.drawText(info.mapname, x, y, width , 'left');
this.drawText("[Ch" + info.saveString + "] " + info.saveString2, x, y + 32, 192, 'left');
	    }
	};
	
Window_SavefileList.prototype.drawPlaytime = function(info, x, y, width) {
    if (info.playtime) {
	//this.drawText(info.playtime, x, y, width, 'right');
//this.drawTextEx("\\I[8]"+ info.playtime + " [Chapter" + info.saveString + "] ", x, y, width, 'left');
//this.drawTextEx(info.playtime + " [Chapter" + info.saveString + "] ", x, y, width, 'left');
//this.drawTextEx("[Ch" + info.saveString + "] " + info.saveString2, x, y, width, 'left');
this.drawTextEx("｜" +info.playtime, x, y, width, 'left');
    }
};
})();