//=============================================================================
 /*:
 * @plugindesc スマホ用UI  ver 1.0.0 
 * UIのサイズをスマートフォン向けに最適化します。
 * @author うろろこ
 *
 * 
 *
 * @param タイトル
 * @desc タイトル画面を変更します。
 * [ ON ] 1  /  [ OFF ] 0     
 * @default 1

 * @param メニュー
 * @desc メニュー画面を変更します。
 * [ ON ] 1  /  [ OFF ] 0     
 * @default 1
 *  
 * @param アイテム
 * @desc アイテム画面を変更します。
 * [ ON ] 1  /  [ OFF ] 0     
 * @default 1
 * 
 * @param スキル
 * @desc スキル画面を変更します。
 * [ ON ] 1  /  [ OFF ] 0     
 * @default 1
 *
 * @param 装備
 * @desc 装備画面を変更します。
 * [ ON ] 1  /  [ OFF ] 0     
 * @default 1
 *
 * @param オプション
 * @desc オプション画面を変更します。
 * [ ON ] 1  /  [ OFF ] 0     
 * @default 1
 *
 * @param ゲーム終了
 * @desc ゲーム終了画面を変更します。
 * [ ON ] 1  /  [ OFF ] 0     
 * @default 1
 *
 * @param 戦闘
 * @desc 戦闘画面を変更します。
 * [ ON ] 1  /  [ OFF ] 0     
 * @default 1
 *
 * @param ショップ
 * @desc ショップ画面を変更します。
 * [ ON ] 1  /  [ OFF ] 0     
 * @default 1
 *
 * @param イベント関係
 * @desc 名前入力、数値入力、選択肢、アイテム選択を変更します。
 * [ ON ] 1  /  [ OFF ] 0     
 * @default 1
 *
 * @param アイコン位置修正
 * @desc アイコンの表示位置を変更します。
 * [ ON ] 1  /  [ OFF ] 0     
 * @default 1
 *
 *
 * @help
 * RPGツクールＭＶのデフォルトのＵＩがスマホだと使いにくいので
 * 全体的に押しやすくしました。
 * 
 * ※ゴールドウィンドウのサイズはショップがＯＮの時に変更されます。
 *
 */

(function(){

    var parameters = PluginManager.parameters('UR65_SmartPhoneUI');

    var using_title = parseInt(String(parameters['タイトル']), 10) != 0;
    var using_menu = parseInt(String(parameters['メニュー']), 10) != 0;
    var using_item = parseInt(String(parameters['アイテム']), 10) != 0;
    var using_skill = parseInt(String(parameters['スキル']), 10) != 0;
    var using_equip = parseInt(String(parameters['装備']), 10) != 0;
    var using_options = parseInt(String(parameters['オプション']), 10) != 0;
    var using_gemeend = parseInt(String(parameters['ゲーム終了']), 10) != 0;
    var using_battle = parseInt(String(parameters['戦闘']), 10) != 0;
    var using_shop = parseInt(String(parameters['ショップ']), 10) != 0;
    var using_event = parseInt(String(parameters['イベント関係']), 10) != 0;
    var using_iconposition = parseInt(String(parameters['アイコン位置修正']), 10) != 0;

       //=====================================================
    // イベント関係
    //=====================================================
    if (using_event) {
        Window_NameEdit.prototype.initialize = function(actor, maxLength) {
            var width = this.windowWidth();
            var height = this.windowHeight();
            var x = (Graphics.boxWidth - width) / 2;
            var y = (Graphics.boxHeight - (height + this.fittingHeight(9) + 60)) / 2;
            Window_Base.prototype.initialize.call(this, x, y, width, height);
            this._actor = actor;
            this._name = actor.name().slice(0, this._maxLength);
            this._index = this._name.length;
            this._maxLength = maxLength;
            this._defaultName = this._name;
            this.deactivate();
            this.refresh();
            ImageManager.loadFace(actor.faceName());
        };

        Window_NameInput.prototype.lineHeight = function() {
            return 42;
        };

        Window_NameInput.prototype.initialize = function(editWindow) {
            var x = editWindow.x;
            var y = editWindow.y + editWindow.height +8;
            var width = editWindow.width;
            var height = this.windowHeight();
            Window_Selectable.prototype.initialize.call(this, x, y, width, height);
            this._editWindow = editWindow;
            this._page = 0;
            this._index = 0;
            this.refresh();
            this.updateCursor();
            this.activate();
        };

        Window_NumberInput.prototype.lineHeight = function() {
            return 94;
        };

        Window_NumberInput.prototype.createButtons = function() {
            var bitmap = ImageManager.loadSystem('ButtonSet72');
            var buttonWidth = 72;
            var buttonHeight = 72;
            this._buttons = [];
            for (var i = 0; i < 3; i++) {
                var button = new Sprite_Button();
                var x = buttonWidth * [1, 2, 4][i];
                var w = buttonWidth * (i === 2 ? 2 : 1);
                button.bitmap = bitmap;
                button.setColdFrame(x, 0, w, buttonHeight);
                button.setHotFrame(x, buttonHeight, w, buttonHeight);
                button.visible = false;
                this._buttons.push(button);
                this.addChild(button);
            }
            this._buttons[0].setClickHandler(this.onButtonDown.bind(this));
            this._buttons[1].setClickHandler(this.onButtonUp.bind(this));
            this._buttons[2].setClickHandler(this.onButtonOk.bind(this));
        };
        
        Window_NumberInput.prototype.placeButtons = function() {
            var numButtons = this._buttons.length;
            var spacing = 16;
            var totalWidth = -spacing;
            for (var i = 0; i < numButtons; i++) {
                totalWidth += this._buttons[i].width + spacing;
            }
            var x = (this.width - totalWidth) / 2;
            for (var j = 0; j < numButtons; j++) {
                var button = this._buttons[j];
                button.x = x;
                button.y = this.buttonY() + 240;
                x += button.width + spacing;
            }
        };

        Window_EventItem.prototype.lineHeight = function() {
            return 66;
        };

        Window_ChoiceList.prototype.lineHeight = function() {
            return 60;
        };

        Window_ChoiceList.prototype.drawItem = function(index) {
            var rect = this.itemRectForText(index);
            this.drawTextEx(this.commandName(index), rect.x, rect.y + 9);
        };

